<section class="input-group">
    <div class="input-group-btn" uib-dropdown uib-keyboard-nav>
        <button type="button" class="btn btn-default" type="button" uib-dropdown-toggle ng-disabled="ngDisabled">
            <span class="glyphicon iti-flag bc-phone-number-flag" ng-class="selectedCountry.iso2Code"></span><span class="caret"></span>
            <span class="sr-only">Select country: {{selectedCountry.name}}</span>
        </button>
        <ul class="uib-dropdown-menu bc-phone-number-dropdown-menu dropdown-menu" role="menu">
            <li ng-repeat="country in preferredCountries" ng-click="selectCountry(country)"
                ng-class="{active: isCountrySelected(country)}" role="menuitem">
                <a href="#" ng-click="$event.preventDefault()" class="bc-phone-number-country-anchor">
                    <i class="glyphicon iti-flag bc-phone-number-country-icon" ng-class="country.iso2Code"></i>
                    <span ng-bind="country.name"></span>
                </a>
            </li>
            <li role="separator" class="divider" ng-show="preferredCountries && preferredCountries.length"></li>
            <li ng-repeat="country in allCountries" ng-click="selectCountry(country)"
                ng-class="{active: isCountrySelected(country)}" role="menuitem">
                <a href="#" ng-click="$event.preventDefault()" class="bc-phone-number-country-anchor">
                    <i class="glyphicon iti-flag bc-phone-number-country-icon" ng-class="country.iso2Code"></i>
                    <span ng-bind="country.name"></span>
                </a>
            </li>
        </ul>
    </div>
    <input id="{{::options.key}}" type="{{::to.type || 'text'}}" class="form-control" ng-model="model[options.key]" placeholder="{{::to.placeholder}}" ui-mask="{{mask}}" model-view-value="true"
           ui-mask-placeholder ui-mask-placeholder-char="_">
</section>
